precede.cpp File Reference
`#include "test/set.hh"`

Go to the source code of this file.

## Classes

class | Test::Set::Precede::Single
| Test for single value precedence constraint More...
class | Test::Set::Precede::Multi
| Test for multiple value precedence constraint More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Set
| Testing finite sets.
namespace | Test::Set::Precede
| Tests for value precedence constraints

## Variables

Single | Test::Set::Precede::_a (2, 3)
Single | Test::Set::Precede::_b (0, 3)
Multi | Test::Set::Precede::_c (Gecode::IntArgs({1, 2, 3}))
Multi | Test::Set::Precede::_d (Gecode::IntArgs({3, 2, 1}))
Multi | Test::Set::Precede::_e (Gecode::IntArgs({4, 2, 3, 1}))